/* Options: Date: 2026-06-20 21:31:40 Version: 8.80 Tip: To override a DTO option, remove "//" prefix before updating BaseUrl: https://api.simplified.id/v2 //Package: //AddServiceStackTypes: True //AddResponseStatus: False //AddImplicitVersion: //AddDescriptionAsComments: True IncludeTypes: GetBulkSearchHistory.* //ExcludeTypes: //InitializeCollections: False //TreatTypesAsStrings: //DefaultImports: java.math.*,java.util.*,java.io.InputStream,net.servicestack.client.*,com.google.gson.annotations.*,com.google.gson.reflect.* */ import java.math.* import java.util.* import java.io.InputStream import net.servicestack.client.* import com.google.gson.annotations.* import com.google.gson.reflect.* @Route(Path="/bulksearches/list", Verbs="POST") @DataContract open class GetBulkSearchHistory : BaseRequest(), IReturn { @DataMember open var request:GetBulkSearchHistoryRequest? = null companion object { private val responseType = GetBulkSearchHistoryResponse::class.java } override fun getResponseType(): Any? = GetBulkSearchHistory.responseType } @DataContract open class GetBulkSearchHistoryResponse { @DataMember @SerializedName("data") open var Data:GetBulkSearchHistoryData? = null } @DataContract open class Authentication { /** * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User) */ @DataMember @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body") open var apiUserId:String? = null /** * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key) */ @DataMember @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body") open var apiUserKey:String? = null /** * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id). */ @DataMember @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body") open var userId:String? = null } @DataContract open class BaseRequest : IBaseRequest { /** * The authentication credentials */ @DataMember @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body") override var authentication:Authentication? = null } interface IBaseRequest { var authentication:Authentication? } open class GetBulkSearchHistoryRequest { open var subUserName:String? = null open var page:Int? = null open var sortOrder:String? = null /** * The user id to filter on, in string format (GUID) */ @ApiMember(Description="The user id to filter on, in string format (GUID)") open var whereUserId:String? = null open var whereDateFrom:Date? = null open var whereDateTo:Date? = null open var whereId:Int? = null open var pageSize:Int? = null } open class GetBulkSearchHistoryData : BaseResponse() { open var bulkSearchList:ArrayOfBulkSearchStatus? = null open var currentPageNum:Int? = null open var maxPageNum:Int? = null open var totalBulkSearches:Int? = null open var pageSize:Int? = null } open class BaseResponse : IBaseDataResponse, IHasResponseStatus { /** * The status of the response */ @ApiMember(Description="The status of the response") override var responseStatus:ResponseStatus? = null } interface IBaseDataResponse { var responseStatus:ResponseStatus? } interface IHasResponseStatus { var responseStatus:ResponseStatus? } open class BulkSearchStatus { open var bulkSearchId:Int? = null open var success:Boolean? = null open var status:String? = null open var total:Int? = null open var message:String? = null open var processed:Int? = null open var isPepSearch:Boolean? = null open var isSanctionsSearch:Boolean? = null open var totalPep:Int? = null open var processedPep:Int? = null open var totalSanctions:Int? = null open var processedSanctions:Int? = null } open class ArrayOfBulkSearchStatus : ArrayList() { } open class ArrayOfResponseError : ArrayList() { }